tigase.jaxmpp.core.client.eventbus

## Class EventBusException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - tigase.jaxmpp.core.client.eventbus.EventBusException

- All Implemented Interfaces:
    Serializable

      public class EventBusException
      extends RuntimeException

  Exception collects all exceptions throwed by handlers or listeners during firing event. This exception is usually throwed after calling all listeners and handlers.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventBusException(Collection<Throwable> causes)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static String` | `createMessage(Collection<Throwable> causes)`
    `protected static Throwable` | `createThrowable(Collection<Throwable> causes)`
    `Collection<Throwable>` | `getCauses()` Returns collection of all Exceptions throwed by handlers or listeners.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EventBusException

          public EventBusException(Collection<Throwable> causes)

  - ### Method Detail

    - #### createMessage

          protected static String createMessage(Collection<Throwable> causes)

    - #### createThrowable

          protected static Throwable createThrowable(Collection<Throwable> causes)

    - #### getCauses

          public Collection<Throwable> getCauses()

      Returns collection of all Exceptions throwed by handlers or listeners.
      Returns:
        collection of Exceptions.

Copyright © 2006–2019 Tigase. All rights reserved.